import { Test, TestingModule } from '@nestjs/testing';
import { PenaltyController } from './penalty.controller';
import {PenaltyService} from "./penalty.service";
import {PenaltyServiceMock} from "../mocks/penalty-service.mock";

describe('PenaltyController', () => {
  let controller: PenaltyController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [PenaltyController],
      providers: [
        { provide: PenaltyService, useValue: PenaltyServiceMock },
      ]
    }).compile();

    controller = module.get<PenaltyController>(PenaltyController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
